Bug 1195870 - [abrt] WARNING: CPU: 0 PID: 0 at drivers/gpu/drm/i915/intel_display.c:9711 intel_check_page_flip+0xdb/0xf0 [i915]() [i915]
Summary: [abrt] WARNING: CPU: 0 PID: 0 at drivers/gpu/drm/i915/intel_display.c:9711 in...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9d03c52ce3f9f18f89304961d06...
: 1196789 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-24 18:04 UTC by satellitgo
Modified: 2016-07-24 18:21 UTC (History)
47 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 12:51:15 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: dmesg (73.14 KB, text/plain)
2015-02-24 18:04 UTC, satellitgo
no flags Details


Links
System ID Private Priority Status Summary Last Updated
FreeDesktop.org 89303 0 None None None Never

Description satellitgo 2015-02-24 18:04:04 UTC
Description of problem:
boot installed workstation f22 

Additional info:
reporter:       libreport-2.4.0
WARNING: CPU: 0 PID: 0 at drivers/gpu/drm/i915/intel_display.c:9711 intel_check_page_flip+0xdb/0xf0 [i915]()
Kicking stuck page flip: queued at 11492, now 11497
Modules linked in: ccm bnep bluetooth fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw rtsx_usb_ms memstick intel_rapl iosf_mbi arc4 x86_pkg_temp_thermal rtl8192ce rtl_pci coretemp rtl8192c_common kvm_intel rtlwifi kvm snd_hda_codec_hdmi mac80211 crct10dif_pclmul iTCO_wdt iTCO_vendor_support snd_hda_codec_realtek snd_hda_codec_generic crc32_pclmul sparse_keymap crc32c_intel
 cfg80211 snd_hda_intel snd_hda_controller ghash_clmulni_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm rfkill snd_timer snd soundcore serio_raw mei_me mei shpchp i2c_i801 lpc_ich tpm_tis tpm wmi nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 rtsx_usb_sdmmc i2c_algo_bit drm_kms_helper mmc_core drm 8021q garp stp llc mrp r8169 mii rtsx_usb mfd_core video uas usb_storage
CPU: 0 PID: 0 Comm: swapper/0 Not tainted 4.0.0-0.rc1.git0.1.fc22.x86_64 #1
Hardware name: WB WB-B06211/WB-B0621, BIOS EB062IWB V1.0 12/12/2013
 0000000000000000 e29f8732215d5724 ffff88011f203cf8 ffffffff8177fc48
 0000000000000000 ffff88011f203d50 ffff88011f203d38 ffffffff8109c7ba
 ffff88011f203d68 ffff8800367f3800 ffff8800365a5000 0000000000000000
Call Trace:
 <IRQ>  [<ffffffff8177fc48>] dump_stack+0x45/0x57
 [<ffffffff8109c7ba>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109c845>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa019900b>] intel_check_page_flip+0xdb/0xf0 [i915]
 [<ffffffffa016515c>] ironlake_irq_handler+0x42c/0x1000 [i915]
 [<ffffffff811069dd>] ? hrtimer_get_next_event+0x3d/0x90
 [<ffffffff814a9fdd>] ? credit_entropy_bits+0x26d/0x2d0
 [<ffffffff8110594a>] ? get_next_timer_interrupt+0x1fa/0x270
 [<ffffffffa0593384>] ? _rtl_pci_interrupt+0x1b4/0x410 [rtl_pci]
 [<ffffffff810f4be7>] handle_irq_event_percpu+0x77/0x1a0
 [<ffffffff810f4d4b>] handle_irq_event+0x3b/0x60
 [<ffffffff810f7f3e>] handle_edge_irq+0x6e/0x120
 [<ffffffff81017534>] handle_irq+0x74/0x140
 [<ffffffff810a00b1>] ? _local_bh_enable+0x21/0x50
 [<ffffffff81788dcf>] do_IRQ+0x4f/0xf0
 [<ffffffff81786b2d>] common_interrupt+0x6d/0x6d
 <EOI>  [<ffffffff81616cbd>] ? cpuidle_enter_state+0x5d/0x170
 [<ffffffff81616cad>] ? cpuidle_enter_state+0x4d/0x170
 [<ffffffff81616fb7>] cpuidle_enter+0x17/0x20
 [<ffffffff810df9d9>] cpu_startup_entry+0x349/0x3e0
 [<ffffffff81776547>] rest_init+0x77/0x80
 [<ffffffff81d3803f>] start_kernel+0x4a0/0x4c1
 [<ffffffff81d37120>] ? early_idt_handlers+0x120/0x120
 [<ffffffff81d37339>] x86_64_start_reservations+0x2a/0x2c
 [<ffffffff81d3749c>] x86_64_start_kernel+0x161/0x184

Comment 1 satellitgo 2015-02-24 18:04:07 UTC
Created attachment 994787 [details]
File: dmesg

Comment 2 Josh Boyer 2015-02-26 19:00:32 UTC
*** Bug 1196789 has been marked as a duplicate of this bug. ***

Comment 3 satellitgo 2015-03-27 01:52:45 UTC
Description of problem:
waited to set root and user password until 100% installed 

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.4.0
cmdline:        BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-i686-22_B-T5 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
kernel:         4.0.0-0.rc4.git0.1.fc22.i686
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 58 at drivers/gpu/drm/i915/intel_display.c:9727 intel_check_page_flip+0xc6/0xd0 [i915]()
Kicking stuck page flip: queued at 39047, now 39070
Modules linked in: xfs libcrc32c btrfs fcoe libfcoe libfc scsi_transport_fc iscsi_ibft iscsi_boot_sysfs iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi dm_crypt vfat fat dm_round_robin dm_multipath raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor xor async_tx raid6_pq raid1 raid0 bnep bluetooth xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw rtsx_usb_sdmmc
 mmc_core rtsx_usb_ms memstick rtsx_usb intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel kvm arc4 rtl8192ce rtl_pci rtl8192c_common rtlwifi mac80211 snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd i2c_i801 cfg80211 iTCO_wdt iTCO_vendor_support rfkill mei_me mei soundcore sparse_keymap serio_raw lpc_ich tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace isofs squashfs i915 8021q garp stp llc mrp i2c_algo_bit drm_kms_helper crc32_pclmul r8169 crc32c_intel drm mii wmi video uas usb_storage scsi_dh_rdac scsi_dh_emc scsi_dh_alua sunrpc loop
CPU: 0 PID: 58 Comm: kworker/u4:2 Not tainted 4.0.0-0.rc4.git0.1.fc22.i686 #1
Hardware name: WB WB-B06211/WB-B0621, BIOS EB062IWB V1.0 12/12/2013
Workqueue: phy0 ieee80211_scan_work [mac80211]
 c0d17947 64cc665d 00000000 f2437ec4 c0a6fa1e f2437f04 f2437ef4 c04580f7
 f7fa5e54 f2437f24 0000003a f7fa321c 000025ff f7f52566 f7f52566 f6cfd400
 f6cc0800 00000000 f2437f10 c045816e 00000009 f2437f04 f7fa5e54 f2437f24
Call Trace:
 [<c0a6fa1e>] dump_stack+0x41/0x52
 [<c04580f7>] warn_slowpath_common+0x87/0xc0
 [<f7f52566>] ? intel_check_page_flip+0xc6/0xd0 [i915]
 [<f7f52566>] ? intel_check_page_flip+0xc6/0xd0 [i915]
 [<c045816e>] warn_slowpath_fmt+0x3e/0x60
 [<f7f52566>] intel_check_page_flip+0xc6/0xd0 [i915]
 [<f7f22287>] ironlake_irq_handler+0x267/0xe60 [i915]
 [<c04a77f6>] handle_irq_event_percpu+0x76/0x190
 [<c04a793a>] handle_irq_event+0x2a/0x50
 [<c04aa460>] ? handle_level_irq+0xc0/0xc0
 [<c04aa4bd>] handle_edge_irq+0x5d/0xf0
 [<c04058f6>] handle_irq+0x96/0xd0
 <IRQ>  [<c040511c>] do_IRQ+0x3c/0xd0
 [<c0a755f3>] common_interrupt+0x33/0x38
 [<c06f4080>] ? delay_tsc+0x30/0x70
 [<c06f3fee>] __const_udelay+0x1e/0x20
 [<f8bcdb0a>] rtl92c_phy_sw_chnl_callback+0x7a/0xb0 [rtl8192c_common]
 [<f8bcdba5>] rtl92c_phy_sw_chnl+0x65/0x4c0 [rtl8192c_common]
 [<f8bf0637>] rtl_op_config+0x147/0x3d0 [rtlwifi]
 [<c040b858>] ? sched_clock+0x8/0x10
 [<f9d48ab6>] ieee80211_hw_config+0x236/0x380 [mac80211]
 [<c048b804>] ? pick_next_task_fair+0x4e4/0xa50
 [<f9d51fee>] ieee80211_scan_work+0x25e/0x4c0 [mac80211]
 [<c046d345>] process_one_work+0x145/0x370
 [<c046d5a9>] worker_thread+0x39/0x420
 [<c046d570>] ? process_one_work+0x370/0x370
 [<c0472026>] kthread+0xa6/0xc0
 [<c0a74ec1>] ret_from_kernel_thread+0x21/0x30
 [<c0471f80>] ? kthread_worker_fn+0x130/0x130

Comment 4 Guillaume AMAT 2015-04-09 15:08:08 UTC
Description of problem:
I just woken up my laptop, which was suspended.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.5.0
cmdline:        BOOT_IMAGE=/vmlinuz-4.0.0-0.rc5.git4.1.fc22.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.lvm.lv=fedora/root rhgb quiet LANG=fr_FR.UTF-8
kernel:         4.0.0-0.rc5.git4.1.fc22.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
#1 [IRQ] dump_stack
#2 [IRQ] warn_slowpath_common
#3 [IRQ] warn_slowpath_fmt
#4 [IRQ] intel_check_page_flip in i915
#5 [IRQ] ironlake_irq_handler in i915
#6 [IRQ] ? update_process_times
#7 [IRQ] handle_irq_event_percpu
#8 [IRQ] handle_irq_event
#9 [IRQ] handle_edge_irq
#10 [IRQ] handle_irq

Comment 5 satellitgo 2015-05-11 09:55:07 UTC
Description of problem:
sddm switch DE 

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.5.1
cmdline:        BOOT_IMAGE=/vmlinuz-4.0.1-300.fc22.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         4.0.1-300.fc22.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 0 at drivers/gpu/drm/i915/intel_display.c:9756 intel_check_page_flip+0xdb/0xf0 [i915]()
Kicking stuck page flip: queued at 8811, now 8816
Modules linked in: ccm bnep bluetooth fuse ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw rtsx_usb_ms memstick intel_rapl arc4 iosf_mbi x86_pkg_temp_thermal rtl8192ce rtl_pci rtl8192c_common rtlwifi coretemp kvm_intel kvm mac80211 cfg80211 rfkill crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel sparse_keymap iTCO_wdt iTCO_vendor_support shpchp snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic serio_raw wmi snd_hda_intel snd_hda_controller snd_hda_codec
 snd_hwdep snd_seq snd_seq_device i2c_i801 snd_pcm mei_me mei tpm_tis tpm snd_timer snd soundcore lpc_ich nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 i2c_algo_bit drm_kms_helper rtsx_usb_sdmmc mmc_core drm 8021q garp stp llc mrp r8169 rtsx_usb mfd_core mii video uas usb_storage
CPU: 1 PID: 0 Comm: swapper/1 Not tainted 4.0.1-300.fc22.x86_64 #1
Hardware name: WB WB-B06211/WB-B0621, BIOS EB062IWB V1.0 12/12/2013
 0000000000000000 1fc83ca8c9e30096 ffff88011f303d08 ffffffff817819a8
 0000000000000000 ffff88011f303d60 ffff88011f303d48 ffffffff8109c60a
 ffff88011f303d78 ffff880036e25000 ffff8800368f9000 0000000000000000
Call Trace:
 <IRQ>  [<ffffffff817819a8>] dump_stack+0x45/0x57
 [<ffffffff8109c60a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109c695>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa019a03b>] intel_check_page_flip+0xdb/0xf0 [i915]
 [<ffffffffa0165edc>] ironlake_irq_handler+0x2ac/0xff0 [i915]
 [<ffffffff81105b51>] ? __hrtimer_start_range_ns+0x1f1/0x430
 [<ffffffff810f44a7>] handle_irq_event_percpu+0x77/0x1a0
 [<ffffffff810f460b>] handle_irq_event+0x3b/0x60
 [<ffffffff810f782e>] handle_edge_irq+0x6e/0x120
 [<ffffffff81016514>] handle_irq+0x74/0x140
 [<ffffffff810bc49a>] ? atomic_notifier_call_chain+0x1a/0x20
 [<ffffffff8178ae1f>] do_IRQ+0x4f/0xf0
 [<ffffffff81788b6d>] common_interrupt+0x6d/0x6d
 <EOI>  [<ffffffff8161813d>] ? cpuidle_enter_state+0x5d/0x170
 [<ffffffff8161812d>] ? cpuidle_enter_state+0x4d/0x170
 [<ffffffff81618287>] cpuidle_enter+0x17/0x20
 [<ffffffff810df294>] cpu_startup_entry+0x314/0x430
 [<ffffffff8111270c>] ? clockevents_register_device+0xbc/0x130
 [<ffffffff8104a8e5>] start_secondary+0x1a5/0x1f0

Comment 6 Stephan Plöhn 2015-06-05 12:18:52 UTC
Description of problem:
I have no idea why this error happens. I worked with phpstorm in this moment.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.5.1
cmdline:        BOOT_IMAGE=/boot/vmlinuz-4.0.4-303.fc22.x86_64 root=UUID=342474e3-780c-4a87-9683-0bbb6a3c27de ro rhgb quiet LANG=de_DE.UTF-8
kernel:         4.0.4-303.fc22.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 0 at drivers/gpu/drm/i915/intel_display.c:9756 intel_check_page_flip+0xdb/0xf0 [i915]()
Kicking stuck page flip: queued at 823352, now 823364
Modules linked in: rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel snd_hda_codec_realtek gpio_ich iTCO_wdt iTCO_vendor_support snd_hda_codec_generic ppdev kvm snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep crct10dif_pclmul snd_seq crc32_pclmul btusb crc32c_intel bluetooth snd_seq_device ghash_clmulni_intel
 snd_pcm serio_raw i2c_i801 snd_timer snd mei_me lpc_ich rfkill mei shpchp mfd_core parport_pc soundcore parport wmi nfsd auth_rpcgss nfs_acl lockd grace sunrpc uas usb_storage i915 i2c_algo_bit video drm_kms_helper drm 8021q garp stp llc mrp r8169 mii
CPU: 0 PID: 0 Comm: swapper/0 Not tainted 4.0.4-303.fc22.x86_64 #1
Hardware name: LENOVO 3129B7G/To be filled by O.E.M., BIOS 9QKT34AUS 12/16/2011
 0000000000000000 e01568f0beb9f713 ffff88023fa03d08 ffffffff81783124
 0000000000000000 ffff88023fa03d60 ffff88023fa03d48 ffffffff8109c66a
 ffff88023fa03d78 ffff880233dfe800 ffff88023633b000 0000000000000000
Call Trace:
 <IRQ>  [<ffffffff81783124>] dump_stack+0x45/0x57
 [<ffffffff8109c66a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109c6f5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa015e08b>] intel_check_page_flip+0xdb/0xf0 [i915]
 [<ffffffffa012a07d>] ironlake_irq_handler+0x3fd/0xff0 [i915]
 [<ffffffff810c633d>] ? ttwu_do_activate.constprop.90+0x5d/0x70
 [<ffffffff810c8fef>] ? try_to_wake_up+0xcf/0x330
 [<ffffffff810f45d7>] handle_irq_event_percpu+0x77/0x1a0
 [<ffffffff810f473b>] handle_irq_event+0x3b/0x60
 [<ffffffff810f795e>] handle_edge_irq+0x6e/0x120
 [<ffffffff81016514>] handle_irq+0x74/0x140
 [<ffffffff810bc57a>] ? atomic_notifier_call_chain+0x1a/0x20
 [<ffffffff8178c4df>] do_IRQ+0x4f/0xf0
 [<ffffffff8178a22d>] common_interrupt+0x6d/0x6d
 <EOI>  [<ffffffff8161965a>] ? cpuidle_enter_state+0x5a/0x170
 [<ffffffff8161964d>] ? cpuidle_enter_state+0x4d/0x170
 [<ffffffff816197a7>] cpuidle_enter+0x17/0x20
 [<ffffffff810df3c4>] cpu_startup_entry+0x314/0x430
 [<ffffffff81779967>] rest_init+0x77/0x80
 [<ffffffff81d39040>] start_kernel+0x4a0/0x4c1
 [<ffffffff81d38120>] ? early_idt_handlers+0x120/0x120
 [<ffffffff81d38339>] x86_64_start_reservations+0x2a/0x2c
 [<ffffffff81d3849c>] x86_64_start_kernel+0x161/0x184

Comment 7 Rodd Clarkson 2015-06-16 23:41:06 UTC
I've updated to the kernel (4.0.5-300.fc22.x86_64) in updates-testing as there was mention of issues with older intel based cards and I thought it couldn't hurt to test it.  I still have the problem.

Steps to reporduce:

1. Updated the kernel with 'sudo dnf --enablerepo updates-testing update kernel
2. Reboot
3. Open terminal and run 'dmesg --human --follow'
4. Plug in a projector using the mini display port (to hdmi) connector. No output appears in dmesg and the project works as expected.
5. Unplug the mini display port connector and the follow output appears.

I'll test using a standard monitor, and a display port to vga connector to see if similar issues occur using this.


Backtrace from dmesg is as follows:



[Jun17 09:32] ------------[ cut here ]------------
[  +0.000109] WARNING: CPU: 2 PID: 1906 at drivers/gpu/drm/i915/intel_dp.c:141 intel_dp_max_link_bw+0x35/0x90 [i915]()
[  +0.000005] invalid max DP link bw val 0, using 1.62Gbps
[  +0.000002] Modules linked in: ccm rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 bnep cpufreq_stats intel_rapl iosf_mbi iwlmvm x86_pkg_temp_thermal coretemp mac80211 kvm_intel kvm vfat fat iTCO_wdt iTCO_vendor_support hid_rmi dell_wmi sparse_keymap crct10dif_pclmul crc32_pclmul iwlwifi crc32c_intel dell_laptop uvcvideo ghash_clmulni_intel dcdbas videobuf2_vmalloc
[  +0.000074]  videobuf2_core cfg80211 i8k videobuf2_memops v4l2_common videodev btusb serio_raw bluetooth i2c_i801 hid_multitouch media mei_me mei lpc_ich snd_soc_rt5640 rfkill mfd_core snd_soc_rl6231 snd_soc_core shpchp snd_compress snd_pcm_dmaengine regmap_i2c i2c_hid snd_soc_sst_acpi dw_dmac wmi i2c_designware_platform dw_dmac_core i2c_designware_core snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer tpm_tis snd tpm soundcore nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 i2c_algo_bit drm_kms_helper drm sdhci_acpi sdhci mmc_core video
[  +0.000068] CPU: 2 PID: 1906 Comm: Xorg Not tainted 4.0.5-300.fc22.x86_64 #1
[  +0.000004] Hardware name: Dell Inc. XPS13 9333/0D13CR, BIOS A04 03/19/2014
[  +0.000004]  0000000000000000 00000000d951477b ffff8800cf5679f8 ffffffff817834f4
[  +0.000006]  0000000000000000 ffff8800cf567a50 ffff8800cf567a38 ffffffff8109c66a
[  +0.000006]  0000000000015380 0000000000000000 ffff88021351e000 0000000000000002
[  +0.000007] Call Trace:
[  +0.000013]  [<ffffffff817834f4>] dump_stack+0x45/0x57
[  +0.000008]  [<ffffffff8109c66a>] warn_slowpath_common+0x8a/0xc0
[  +0.000006]  [<ffffffff8109c6f5>] warn_slowpath_fmt+0x55/0x70
[  +0.000042]  [<ffffffffa005b958>] ? drm_crtc_get_hv_timing+0x48/0x80 [drm]
[  +0.000050]  [<ffffffffa0166b95>] intel_dp_max_link_bw+0x35/0x90 [i915]
[  +0.000046]  [<ffffffffa0166c86>] intel_dp_compute_config+0x96/0x6b0 [i915]
[  +0.000046]  [<ffffffffa015e21d>] intel_ddi_compute_config+0x3d/0xa0 [i915]
[  +0.000043]  [<ffffffffa01418ec>] intel_modeset_compute_config+0x56c/0xf40 [i915]
[  +0.000044]  [<ffffffffa014807c>] intel_crtc_set_config+0xa0c/0x1010 [i915]
[  +0.000037]  [<ffffffffa005d056>] drm_mode_set_config_internal+0x66/0x100 [drm]
[  +0.000033]  [<ffffffffa0061226>] drm_mode_setcrtc+0x366/0x5c0 [drm]
[  +0.000030]  [<ffffffffa0051a5b>] drm_ioctl+0x1db/0x640 [drm]
[  +0.000031]  [<ffffffffa0060ec0>] ? drm_mode_setplane+0x250/0x250 [drm]
[  +0.000010]  [<ffffffff81232036>] do_vfs_ioctl+0x2c6/0x4d0
[  +0.000008]  [<ffffffff8178535c>] ? __schedule+0x2fc/0x970
[  +0.000008]  [<ffffffff812322c1>] SyS_ioctl+0x81/0xa0
[  +0.000007]  [<ffffffff812345d1>] ? SyS_poll+0x71/0x130
[  +0.000009]  [<ffffffff81789b09>] system_call_fastpath+0x12/0x17
[  +0.000005] ---[ end trace 35c2c79086d2aed2 ]---
[  +1.096324] ------------[ cut here ]------------
[  +0.000044] WARNING: CPU: 0 PID: 1906 at drivers/gpu/drm/i915/intel_dp.c:141 intel_dp_max_link_bw+0x35/0x90 [i915]()
[  +0.000002] invalid max DP link bw val 0, using 1.62Gbps
[  +0.000001] Modules linked in: ccm rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 bnep cpufreq_stats intel_rapl iosf_mbi iwlmvm x86_pkg_temp_thermal coretemp mac80211 kvm_intel kvm vfat fat iTCO_wdt iTCO_vendor_support hid_rmi dell_wmi sparse_keymap crct10dif_pclmul crc32_pclmul iwlwifi crc32c_intel dell_laptop uvcvideo ghash_clmulni_intel dcdbas videobuf2_vmalloc
[  +0.000034]  videobuf2_core cfg80211 i8k videobuf2_memops v4l2_common videodev btusb serio_raw bluetooth i2c_i801 hid_multitouch media mei_me mei lpc_ich snd_soc_rt5640 rfkill mfd_core snd_soc_rl6231 snd_soc_core shpchp snd_compress snd_pcm_dmaengine regmap_i2c i2c_hid snd_soc_sst_acpi dw_dmac wmi i2c_designware_platform dw_dmac_core i2c_designware_core snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer tpm_tis snd tpm soundcore nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 i2c_algo_bit drm_kms_helper drm sdhci_acpi sdhci mmc_core video
[  +0.000036] CPU: 0 PID: 1906 Comm: Xorg Tainted: G        W       4.0.5-300.fc22.x86_64 #1
[  +0.000001] Hardware name: Dell Inc. XPS13 9333/0D13CR, BIOS A04 03/19/2014
[  +0.000002]  0000000000000000 00000000d951477b ffff8800cf5679f8 ffffffff817834f4
[  +0.000003]  0000000000000000 ffff8800cf567a50 ffff8800cf567a38 ffffffff8109c66a
[  +0.000003]  0000000000000000 0000000000000000 ffff88021351e000 0000000000000002
[  +0.000003] Call Trace:
[  +0.000006]  [<ffffffff817834f4>] dump_stack+0x45/0x57
[  +0.000004]  [<ffffffff8109c66a>] warn_slowpath_common+0x8a/0xc0
[  +0.000003]  [<ffffffff8109c6f5>] warn_slowpath_fmt+0x55/0x70
[  +0.000024]  [<ffffffffa005b958>] ? drm_crtc_get_hv_timing+0x48/0x80 [drm]
[  +0.000027]  [<ffffffffa0166b95>] intel_dp_max_link_bw+0x35/0x90 [i915]
[  +0.000021]  [<ffffffffa0166c86>] intel_dp_compute_config+0x96/0x6b0 [i915]
[  +0.000020]  [<ffffffffa015e21d>] intel_ddi_compute_config+0x3d/0xa0 [i915]
[  +0.000020]  [<ffffffffa01418ec>] intel_modeset_compute_config+0x56c/0xf40 [i915]
[  +0.000017]  [<ffffffffa014807c>] intel_crtc_set_config+0xa0c/0x1010 [i915]
[  +0.000016]  [<ffffffffa005d056>] drm_mode_set_config_internal+0x66/0x100 [drm]
[  +0.000015]  [<ffffffffa0061226>] drm_mode_setcrtc+0x366/0x5c0 [drm]
[  +0.000012]  [<ffffffffa0051a5b>] drm_ioctl+0x1db/0x640 [drm]
[  +0.000011]  [<ffffffffa0060ec0>] ? drm_mode_setplane+0x250/0x250 [drm]
[  +0.000005]  [<ffffffff81232036>] do_vfs_ioctl+0x2c6/0x4d0
[  +0.000003]  [<ffffffff81063d01>] ? __do_page_fault+0x161/0x440
[  +0.000003]  [<ffffffff812322c1>] SyS_ioctl+0x81/0xa0
[  +0.000005]  [<ffffffff81789b09>] system_call_fastpath+0x12/0x17
[  +0.000002] ---[ end trace 35c2c79086d2aed3 ]---

Comment 8 Rodd Clarkson 2015-06-17 00:11:57 UTC
Plugging and unplugging a mine display port to vga type connection gets the following in dmesg:

[Jun17 10:08] [drm:intel_dp_start_link_train [i915]] *ERROR* failed to enable link training
[  +0.002644] [drm:intel_dp_complete_link_train [i915]] *ERROR* failed to start channel equalization

Comment 9 Rodd Clarkson 2015-06-17 00:13:32 UTC
The above was using a standard lcd monitor.

Plugging and unplugging a mine display port to hdmi type cable gets the following:

[Jun17 10:12] [drm:drm_edid_block_valid [drm]] *ERROR* EDID checksum is invalid, remainder is 130
[  +0.000004] Raw EDID:
[  +0.000003]  	00 ff ff ff ff ff ff 00 05 e3 50 24 1f 7f ff ff
[  +0.000002]  	ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[  +0.000001]  	ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[  +0.000001]  	ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[  +0.000002]  	ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[  +0.000001]  	ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[  +0.000002]  	ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[  +0.000001]  	ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[  +0.318854] [drm:intel_dp_start_link_train [i915]] *ERROR* failed to enable link training
[  +0.002631] [drm:intel_dp_complete_link_train [i915]] *ERROR* failed to start channel equalization
[  +0.002644] [drm:intel_modeset_check_state [i915]] *ERROR* wrong connector dpms state
[  +0.000012] [drm:intel_modeset_check_state [i915]] *ERROR* active connector not linked to encoder
[  +0.784755] [drm:intel_modeset_check_state [i915]] *ERROR* wrong connector dpms state
[  +0.000018] [drm:intel_modeset_check_state [i915]] *ERROR* active connector not linked to encoder

Comment 10 Bugzy 2015-06-27 04:37:44 UTC
Description of problem:
Summary: I attempted to join a wireless network that had a wireless SSID and wpa personal encryption.

1. Boot up laptop
2. Create new wirless network in NetworkManager
3. Under the Wifi Tab, type in the name of the hidden network in SSID, set mode to "Access Point," set Band to Automatic
4. Under the Wi-FI Security tab, select "WPA & WPA2 Personal" for security and enter password
5. Connect to the newly created network

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.0
cmdline:        BOOT_IMAGE=/vmlinuz-4.0.5-300.fc22.x86_64 root=/dev/mapper/fedora_nix--port-root ro rd.lvm.lv=fedora_nix-port/swap rd.lvm.lv=fedora_nix-port/root rhgb quiet LANG=en_US.UTF-8
kernel:         4.0.5-300.fc22.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 0 at drivers/gpu/drm/i915/intel_display.c:9756 intel_check_page_flip+0xdb/0xf0 [i915]()
Kicking stuck page flip: queued at 136900, now 136904
Modules linked in: ccm rfcomm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep vfat fat intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel arc4 kvm rtl8821ae btcoexist rtl_pci rtlwifi crct10dif_pclmul mac80211 uvcvideo videobuf2_vmalloc crc32_pclmul videobuf2_core crc32c_intel iTCO_wdt iTCO_vendor_support btusb ghash_clmulni_intel videobuf2_memops v4l2_common asus_nb_wmi asus_wmi sparse_keymap uas cfg80211
 snd_hda_codec_conexant videodev bluetooth usb_storage snd_hda_codec_generic snd_hda_codec_hdmi joydev media hid_multitouch snd_hda_intel serio_raw snd_soc_rt5640 snd_soc_rl6231 snd_hda_controller snd_soc_core snd_hda_codec rfkill wmi tpm_tis tpm dw_dmac snd_compress snd_pcm_dmaengine regmap_i2c snd_hwdep int3400_thermal i2c_hid acpi_thermal_rel lpc_ich i2c_designware_platform snd_seq mei_me snd_seq_device i2c_i801 dw_dmac_core i2c_designware_core mfd_core mei snd_soc_sst_acpi snd_pcm processor_thermal_device shpchp int3402_thermal snd_timer snd int340x_thermal_zone soundcore nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc i915 i2c_algo_bit drm_kms_helper drm sdhci_acpi sdhci mmc_core video
CPU: 1 PID: 0 Comm: swapper/1 Not tainted 4.0.5-300.fc22.x86_64 #1
Hardware name: ASUSTeK COMPUTER INC. TX201LA/TX201LA, BIOS TX201LA.215 06/17/2014
 0000000000000000 99e942366f6d0cc8 ffff88011ee83d08 ffffffff817834f4
 0000000000000000 ffff88011ee83d60 ffff88011ee83d48 ffffffff8109c66a
 ffff88011ee83d78 ffff88003f8cd000 ffff88003fa90000 0000000000000000
Call Trace:
 <IRQ>  [<ffffffff817834f4>] dump_stack+0x45/0x57
 [<ffffffff8109c66a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109c6f5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa014408b>] intel_check_page_flip+0xdb/0xf0 [i915]
 [<ffffffffa010ff2c>] ironlake_irq_handler+0x2ac/0xff0 [i915]
 [<ffffffff81105dac>] ? __hrtimer_start_range_ns+0x2ac/0x430
 [<ffffffff810bc4af>] ? notifier_call_chain+0x4f/0x80
 [<ffffffff810f4607>] handle_irq_event_percpu+0x77/0x1a0
 [<ffffffff810f476b>] handle_irq_event+0x3b/0x60
 [<ffffffff810f798e>] handle_edge_irq+0x6e/0x120
 [<ffffffff81016514>] handle_irq+0x74/0x140
 [<ffffffff810bc57a>] ? atomic_notifier_call_chain+0x1a/0x20
 [<ffffffff8178c89f>] do_IRQ+0x4f/0xf0
 [<ffffffff8178a5ed>] common_interrupt+0x6d/0x6d
 <EOI>  [<ffffffff81619a0d>] ? cpuidle_enter_state+0x5d/0x170
 [<ffffffff816199fd>] ? cpuidle_enter_state+0x4d/0x170
 [<ffffffff81619b57>] cpuidle_enter+0x17/0x20
 [<ffffffff810df3f4>] cpu_startup_entry+0x314/0x430
 [<ffffffff8111286c>] ? clockevents_register_device+0xbc/0x130
 [<ffffffff8104aa15>] start_secondary+0x1a5/0x1f0

Comment 11 Fabio Correa 2015-07-12 01:44:33 UTC
Description of problem:
Coming back from sleep

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.0
cmdline:        BOOT_IMAGE=/vmlinuz-4.0.7-300.fc22.x86_64 root=UUID=701fb966-0a00-43d5-a8d1-a707dcdeba6d ro rootflags=subvol=root rhgb quiet LANG=en_US.UTF-8
kernel:         4.0.7-300.fc22.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 0 at drivers/gpu/drm/i915/intel_display.c:9756 intel_check_page_flip+0xdb/0xf0 [i915]()
Kicking stuck page flip: queued at 1376006, now 1376013
Modules linked in: rfcomm ccm ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_nat_h323 nf_conntrack_h323 nf_nat_pptp nf_nat_proto_gre nf_conntrack_pptp nf_conntrack_proto_gre nf_nat_tftp nf_conntrack_tftp nf_nat_sip nf_conntrack_sip nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 snd_hda_codec_hdmi iwlmvm mac80211 snd_hda_codec_via snd_hda_codec_generic intel_rapl snd_hda_intel snd_hda_controller btusb snd_hda_codec
 snd_hwdep iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel iwlwifi snd_seq snd_seq_device bluetooth tpm_infineon snd_pcm cfg80211 tpm_tis snd_timer kvm snd iTCO_wdt iTCO_vendor_support rfkill crct10dif_pclmul crc32_pclmul ghash_clmulni_intel mei_me joydev wmi i2c_i801 tpm rtsx_pci_ms memstick shpchp soundcore lpc_ich ie31200_edac edac_core mei binfmt_misc btrfs xor raid6_pq i915 i2c_algo_bit drm_kms_helper 8021q garp rtsx_pci_sdmmc stp llc drm mmc_core serio_raw crc32c_intel mrp r8169 rtsx_pci mii mfd_core video
CPU: 0 PID: 0 Comm: swapper/0 Not tainted 4.0.7-300.fc22.x86_64 #1
Hardware name: System76, Inc.                   Kudu Professional               /Kudu Professional              , BIOS 1.03.05RS762 06/23/2014
 0000000000000000 df902e221c9f0364 ffff88041fa03d08 ffffffff81783914
 0000000000000000 ffff88041fa03d60 ffff88041fa03d48 ffffffff8109c71a
 ffff88041fa03d78 ffff88040cc31000 ffff88040cc3c000 0000000000000000
Call Trace:
 <IRQ>  [<ffffffff81783914>] dump_stack+0x45/0x57
 [<ffffffff8109c71a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109c7a5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa01dd07b>] intel_check_page_flip+0xdb/0xf0 [i915]
 [<ffffffffa01a8f1c>] ironlake_irq_handler+0x2ac/0xff0 [i915]
 [<ffffffff8110547a>] ? get_next_timer_interrupt+0x1fa/0x270
 [<ffffffff810f46c7>] handle_irq_event_percpu+0x77/0x1a0
 [<ffffffff810f482b>] handle_irq_event+0x3b/0x60
 [<ffffffff810f7a4e>] handle_edge_irq+0x6e/0x120
 [<ffffffff81016514>] handle_irq+0x74/0x140
 [<ffffffff810bc62a>] ? atomic_notifier_call_chain+0x1a/0x20
 [<ffffffff8178cc9f>] do_IRQ+0x4f/0xf0
 [<ffffffff8178a9ed>] common_interrupt+0x6d/0x6d
 <EOI>  [<ffffffff81619c8d>] ? cpuidle_enter_state+0x5d/0x170
 [<ffffffff81619c7d>] ? cpuidle_enter_state+0x4d/0x170
 [<ffffffff81619dd7>] cpuidle_enter+0x17/0x20
 [<ffffffff810df4b4>] cpu_startup_entry+0x314/0x430
 [<ffffffff8177a157>] rest_init+0x77/0x80
 [<ffffffff81d39040>] start_kernel+0x4a0/0x4c1
 [<ffffffff81d38120>] ? early_idt_handler_array+0x120/0x120
 [<ffffffff81d38339>] x86_64_start_reservations+0x2a/0x2c
 [<ffffffff81d3849c>] x86_64_start_kernel+0x161/0x184

Comment 12 Fabio Correa 2015-07-14 12:29:25 UTC
Description of problem:
Coming back from sleep

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.0
cmdline:        BOOT_IMAGE=/vmlinuz-4.0.7-300.fc22.x86_64 root=UUID=701fb966-0a00-43d5-a8d1-a707dcdeba6d ro rootflags=subvol=root rhgb quiet LANG=en_US.UTF-8
kernel:         4.0.7-300.fc22.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 0 at drivers/gpu/drm/i915/intel_display.c:9756 intel_check_page_flip+0xdb/0xf0 [i915]()
Kicking stuck page flip: queued at 304569, now 304576
Modules linked in: rfcomm ccm ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_nat_h323 nf_conntrack_h323 nf_nat_pptp nf_nat_proto_gre nf_conntrack_pptp nf_conntrack_proto_gre nf_nat_tftp nf_conntrack_tftp nf_nat_sip nf_conntrack_sip nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep snd_hda_codec_hdmi snd_hda_codec_via arc4 snd_hda_codec_generic snd_hda_intel snd_hda_controller iwlmvm intel_rapl mac80211 snd_hda_codec iosf_mbi
 x86_pkg_temp_thermal snd_hwdep iwlwifi snd_seq btusb coretemp snd_seq_device bluetooth snd_pcm kvm_intel snd_timer ie31200_edac edac_core rtsx_pci_ms cfg80211 kvm iTCO_wdt rfkill snd soundcore memstick i2c_i801 iTCO_vendor_support tpm_infineon tpm_tis tpm crct10dif_pclmul crc32_pclmul ghash_clmulni_intel lpc_ich mei_me joydev mei shpchp wmi binfmt_misc btrfs xor raid6_pq i915 rtsx_pci_sdmmc mmc_core 8021q garp stp llc mrp i2c_algo_bit r8169 drm_kms_helper crc32c_intel serio_raw mii rtsx_pci drm mfd_core video
CPU: 0 PID: 0 Comm: swapper/0 Not tainted 4.0.7-300.fc22.x86_64 #1
Hardware name: System76, Inc.                   Kudu Professional               /Kudu Professional              , BIOS 1.03.05RS762 06/23/2014
 0000000000000000 bae3bf425d6b0c09 ffff88041fa03d08 ffffffff81783914
 0000000000000000 ffff88041fa03d60 ffff88041fa03d48 ffffffff8109c71a
 ffff88041fa03d78 ffff88040d3d9800 ffff88040d3e3000 0000000000000000
Call Trace:
 <IRQ>  [<ffffffff81783914>] dump_stack+0x45/0x57
 [<ffffffff8109c71a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109c7a5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa01fe07b>] intel_check_page_flip+0xdb/0xf0 [i915]
 [<ffffffffa01c9f1c>] ironlake_irq_handler+0x2ac/0xff0 [i915]
 [<ffffffff8110654d>] ? hrtimer_get_next_event+0x3d/0x90
 [<ffffffff8110547a>] ? get_next_timer_interrupt+0x1fa/0x270
 [<ffffffff810f46c7>] handle_irq_event_percpu+0x77/0x1a0
 [<ffffffff810f482b>] handle_irq_event+0x3b/0x60
 [<ffffffff810f7a4e>] handle_edge_irq+0x6e/0x120
 [<ffffffff81016514>] handle_irq+0x74/0x140
 [<ffffffff810bc62a>] ? atomic_notifier_call_chain+0x1a/0x20
 [<ffffffff8178cc9f>] do_IRQ+0x4f/0xf0
 [<ffffffff8178a9ed>] common_interrupt+0x6d/0x6d
 <EOI>  [<ffffffff81619c8d>] ? cpuidle_enter_state+0x5d/0x170
 [<ffffffff81619c7d>] ? cpuidle_enter_state+0x4d/0x170
 [<ffffffff81619dd7>] cpuidle_enter+0x17/0x20
 [<ffffffff810df4b4>] cpu_startup_entry+0x314/0x430
 [<ffffffff8177a157>] rest_init+0x77/0x80
 [<ffffffff81d39040>] start_kernel+0x4a0/0x4c1
 [<ffffffff81d38120>] ? early_idt_handler_array+0x120/0x120
 [<ffffffff81d38339>] x86_64_start_reservations+0x2a/0x2c
 [<ffffffff81d3849c>] x86_64_start_kernel+0x161/0x184

Comment 13 David H. Gutteridge 2015-07-26 22:53:29 UTC
I've also seen this on resuming from suspend using kernel 4.1.3-200.fc22.x86_64 on a Lenovo ThinkPad Edge 531.

[  715.926355] ------------[ cut here ]------------
[  715.926400] WARNING: CPU: 0 PID: 1940 at drivers/gpu/drm/i915/intel_display.c:10098 intel_check_page_flip+0xdb/0xf0 [i915]()
[  715.926403] Kicking stuck page flip: queued at 42520, now 42528
[  715.926404] Modules linked in: cmac rfcomm fuse ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 iwldvm mac80211 uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops intel_rapl v4l2_common videodev iosf_mbi media x86_pkg_temp_thermal coretemp snd_hda_codec_hdmi kvm snd_hda_codec_conexant snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec iwlwifi snd_hda_core iTCO_wdt iTCO_vendor_support snd_hwdep btusb snd_seq snd_seq_device snd_pcm btbcm btintel cfg80211
[  715.926442]  bluetooth thinkpad_acpi rfkill joydev rtsx_pci_ms memstick wmi tpm_tis snd_timer snd lpc_ich mei_me shpchp tpm mei soundcore i2c_i801 dm_crypt i915 rtsx_pci_sdmmc mmc_core crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper ghash_clmulni_intel 8021q garp serio_raw stp drm llc mrp r8169 rtsx_pci mfd_core mii video
[  715.926466] CPU: 0 PID: 1940 Comm: gnome-shell Not tainted 4.1.3-200.fc22.x86_64 #1
[  715.926468] Hardware name: LENOVO 68852BU/68852BU, BIOS HEET36WW (1.17 ) 10/14/2013
[  715.926470]  0000000000000000 000000005a21c857 ffff88011e203d08 ffffffff8179b4cd
[  715.926473]  0000000000000000 ffff88011e203d60 ffff88011e203d48 ffffffff810a163a
[  715.926476]  ffff88011e203d78 ffff880036b04800 ffff88011925e000 0000000000000000
[  715.926478] Call Trace:
[  715.926480]  <IRQ>  [<ffffffff8179b4cd>] dump_stack+0x45/0x57
[  715.926490]  [<ffffffff810a163a>] warn_slowpath_common+0x8a/0xc0
[  715.926493]  [<ffffffff810a16c5>] warn_slowpath_fmt+0x55/0x70
[  715.926520]  [<ffffffffa01c129b>] intel_check_page_flip+0xdb/0xf0 [i915]
[  715.926537]  [<ffffffffa018af3c>] ironlake_irq_handler+0x2ac/0xff0 [i915]
[  715.926541]  [<ffffffff81630c50>] ? intel_pstate_stop_cpu+0x60/0x60
[  715.926544]  [<ffffffff81109079>] ? call_timer_fn+0x39/0x110
[  715.926549]  [<ffffffff810fa457>] handle_irq_event_percpu+0x77/0x1a0
[  715.926551]  [<ffffffff810fa5bb>] handle_irq_event+0x3b/0x60
[  715.926553]  [<ffffffff810fd98e>] handle_edge_irq+0x6e/0x120
[  715.926556]  [<ffffffff810173b4>] handle_irq+0x74/0x140
[  715.926560]  [<ffffffff817a478f>] do_IRQ+0x4f/0xf0
[  715.926562]  [<ffffffff817a25ae>] common_interrupt+0x6e/0x6e
[  715.926563]  <EOI>  [<ffffffff81346525>] ? avtab_search_node+0xc5/0x110
[  715.926568]  [<ffffffff81346515>] ? avtab_search_node+0xb5/0x110
[  715.926571]  [<ffffffff8135280c>] cond_compute_av+0x2c/0xc0
[  715.926574]  [<ffffffff8134df93>] context_struct_compute_av+0x213/0x440
[  715.926577]  [<ffffffff8134ee5e>] security_compute_av+0xfe/0x2d0
[  715.926579]  [<ffffffff81337231>] avc_compute_av+0x31/0x1a0
[  715.926581]  [<ffffffff81337797>] avc_has_perm_noaudit+0xd7/0x100
[  715.926585]  [<ffffffff8133b880>] selinux_inode_permission+0xb0/0x190
[  715.926587]  [<ffffffff81334f5c>] security_inode_permission+0x1c/0x30
[  715.926590]  [<ffffffff81235aea>] __inode_permission+0x4a/0xc0
[  715.926591]  [<ffffffff81235b74>] inode_permission+0x14/0x50
[  715.926593]  [<ffffffff81237cbe>] link_path_walk+0x3ee/0xdb0
[  715.926595]  [<ffffffff8123873c>] path_init+0xbc/0x440
[  715.926597]  [<ffffffff8123ba32>] path_openat+0x72/0x680
[  715.926602]  [<ffffffff81277547>] ? eventfd_ctx_read+0x67/0x1c0
[  715.926605]  [<ffffffff810ce6f0>] ? wake_up_state+0x20/0x20
[  715.926608]  [<ffffffff8123d699>] do_filp_open+0x49/0xd0
[  715.926612]  [<ffffffff813c266a>] ? find_next_zero_bit+0x1a/0x30
[  715.926615]  [<ffffffff8124a4ce>] ? __alloc_fd+0x7e/0x120
[  715.926619]  [<ffffffff81229ffa>] do_sys_open+0x13a/0x250
[  715.926622]  [<ffffffff81147366>] ? __audit_syscall_exit+0x1f6/0x290
[  715.926625]  [<ffffffff8122a12e>] SyS_open+0x1e/0x20
[  715.926627]  [<ffffffff817a1a6e>] system_call_fastpath+0x12/0x71
[  715.926629] ---[ end trace 8581c06cb61f5ef9 ]---

Comment 14 Anil 2015-07-28 07:12:04 UTC
Description of problem:
While installing fc22

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.5.1
cmdline:        BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-22-3 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
kernel:         4.0.4-301.fc22.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 0 at drivers/gpu/drm/i915/intel_display.c:9756 intel_check_page_flip+0xdb/0xf0 [i915]()
Kicking stuck page flip: queued at 81263, now 81298
Modules linked in: xfs libcrc32c btrfs fcoe libfcoe libfc scsi_transport_fc iscsi_ibft iscsi_boot_sysfs iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi sha256_ssse3 dm_crypt vfat fat dm_round_robin dm_multipath raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor xor async_tx raid6_pq raid1 raid0 rfcomm fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 rtl8723be btcoexist rtl8723_common rtl_pci rtlwifi
 mac80211 uvcvideo intel_rapl iosf_mbi x86_pkg_temp_thermal videobuf2_vmalloc videobuf2_core rtsx_usb_ms coretemp snd_soc_rt5640 memstick videobuf2_memops v4l2_common snd_soc_rl6231 rtsx_usb_sdmmc rtsx_usb iTCO_wdt kvm iTCO_vendor_support ppdev btusb snd_hda_codec_hdmi snd_hda_codec_conexant videodev snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec cfg80211 snd_soc_core media bluetooth snd_compress snd_pcm_dmaengine snd_hwdep snd_seq snd_seq_device ideapad_laptop snd_pcm serio_raw sparse_keymap rfkill snd_timer sdhci_acpi snd sdhci dw_dmac snd_soc_sst_acpi mmc_core dw_dmac_core soundcore parport_pc parport mei_me i2c_hid mei shpchp regmap_i2c soc_button_array i2c_designware_platform i2c_designware_core i2c_i801 lpc_ich mfd_core nfsd auth_rpcgss nfs_acl lockd grace
 isofs squashfs nouveau i915 mxm_wmi ttm crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit 8021q garp drm_kms_helper stp llc mrp drm r8169 ghash_clmulni_intel mii wmi video scsi_dh_rdac scsi_dh_emc scsi_dh_alua sunrpc loop
CPU: 3 PID: 0 Comm: swapper/3 Not tainted 4.0.4-301.fc22.x86_64 #1
Hardware name: LENOVO 20354/Lancer 5A5, BIOS 9BCN26WW 07/31/2014
 0000000000000000 b7e8307cd4ddb861 ffff88014f2c3d08 ffffffff81782644
 0000000000000000 ffff88014f2c3d60 ffff88014f2c3d48 ffffffff8109c66a
 ffff88014f2c3d78 ffff88007f90f000 ffff880149e2f000 0000000000000000
Call Trace:
 <IRQ>  [<ffffffff81782644>] dump_stack+0x45/0x57
 [<ffffffff8109c66a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109c6f5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa024e08b>] intel_check_page_flip+0xdb/0xf0 [i915]
 [<ffffffffa0219f2c>] ironlake_irq_handler+0x2ac/0xff0 [i915]
 [<ffffffff81617c70>] ? intel_pstate_set_pstate+0x170/0x170
 [<ffffffff81102e99>] ? call_timer_fn+0x39/0x110
 [<ffffffff810f45d7>] handle_irq_event_percpu+0x77/0x1a0
 [<ffffffff810f473b>] handle_irq_event+0x3b/0x60
 [<ffffffff810f795e>] handle_edge_irq+0x6e/0x120
 [<ffffffff81016514>] handle_irq+0x74/0x140
 [<ffffffff810bc57a>] ? atomic_notifier_call_chain+0x1a/0x20
 [<ffffffff8178ba1f>] do_IRQ+0x4f/0xf0
 [<ffffffff8178976d>] common_interrupt+0x6d/0x6d
 <EOI>  [<ffffffff81618b7d>] ? cpuidle_enter_state+0x5d/0x170
 [<ffffffff81618b6d>] ? cpuidle_enter_state+0x4d/0x170
 [<ffffffff81618cc7>] cpuidle_enter+0x17/0x20
 [<ffffffff810df3c4>] cpu_startup_entry+0x314/0x430
 [<ffffffff8111283c>] ? clockevents_register_device+0xbc/0x130
 [<ffffffff8104a9b5>] start_secondary+0x1a5/0x1f0

Comment 15 vallber 2015-07-28 12:18:13 UTC
Description of problem:
Ocorreu logo após a inicialização da sessão do gnome.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.1
cmdline:        BOOT_IMAGE=/vmlinuz-4.0.8-300.fc22.x86_64+debug root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.lvm.lv=fedora/root rhgb quiet LANG=pt_BR.UTF-8
kernel:         4.0.8-300.fc22.x86_64+debug
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 0 at drivers/gpu/drm/i915/intel_display.c:9756 intel_check_page_flip+0xdd/0xf0 [i915]()
Kicking stuck page flip: queued at 4102, now 4106
Modules linked in: bnep bluetooth rfkill fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw ipheth joydev intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel kvm snd_hda_codec_realtek crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel snd_hda_controller snd_hda_codec iTCO_wdt iTCO_vendor_support snd_hwdep
 snd_seq snd_seq_device snd_pcm ppdev wmi lpc_ich mfd_core shpchp mei_me snd_timer mei parport_pc parport i2c_i801 snd soundcore nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 i2c_algo_bit 8021q garp stp llc drm_kms_helper serio_raw mrp drm r8169 mii video
CPU: 2 PID: 0 Comm: swapper/2 Not tainted 4.0.8-300.fc22.x86_64+debug #1
Hardware name: LENOVO 10AS009KBP/ , BIOS FCKT57AUS 07/10/2014
 0000000000000000 779a9f7de6ac9263 ffff880217003cf8 ffffffff818829c8
 0000000000000000 ffff880217003d50 ffff880217003d38 ffffffff810ac56a
 ffff880217003d68 ffff880215b35000 ffff8802123d1000 ffff8802123d1428
Call Trace:
 <IRQ>  [<ffffffff818829c8>] dump_stack+0x4c/0x65
 [<ffffffff810ac56a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff810ac5f5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa016327d>] intel_check_page_flip+0xdd/0xf0 [i915]
 [<ffffffffa012a04c>] ironlake_irq_handler+0x2ac/0x1000 [i915]
 [<ffffffff810e9f25>] ? local_clock+0x25/0x30
 [<ffffffff81027b8d>] ? native_sched_clock+0x2d/0xa0
 [<ffffffff81124db0>] handle_irq_event_percpu+0x40/0x4f0
 [<ffffffff811252a1>] handle_irq_event+0x41/0x70
 [<ffffffff8112855e>] handle_edge_irq+0x6e/0x120
 [<ffffffff8101f9b4>] handle_irq+0x74/0x140
 [<ffffffff8188f43f>] do_IRQ+0x4f/0xf0
 [<ffffffff8188cff2>] common_interrupt+0x72/0x72
 <EOI>  [<ffffffff816e1672>] ? cpuidle_enter_state+0x62/0x2f0
 [<ffffffff816e166b>] ? cpuidle_enter_state+0x5b/0x2f0
 [<ffffffff816e1937>] cpuidle_enter+0x17/0x20
 [<ffffffff810ff654>] cpu_startup_entry+0x374/0x5e0
 [<ffffffff8114966c>] ? clockevents_register_device+0xbc/0x130
 [<ffffffff81056932>] start_secondary+0x1b2/0x1f0

Comment 16 Justin M. Forbes 2015-10-20 19:18:22 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.

Comment 17 bryan.adams 2015-10-29 13:23:33 UTC
(In reply to Justin M. Forbes from comment #16)
> *********** MASS BUG UPDATE **************
> 
> We apologize for the inconvenience.  There is a large number of bugs to go
> through and several of them have gone stale.  Due to this, we are doing a
> mass bug update across all of the Fedora 22 kernel bugs.
> 
> Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel
> update (or newer) and let us know if you issue has been resolved or if it is
> still present with the newer kernel.
> 
> If you have moved on to Fedora 23, and are still experiencing this issue,
> please change the version to Fedora 23.
> 
> If you experience different issues, please open a new bug report for those.

I am running 4.2.3-200.fc22 and still getting these messages.

Comment 18 Fedora End Of Life 2016-07-19 12:51:15 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 19 Christian Stadelmann 2016-07-24 18:21:20 UTC
This issue is closed as fixed upstream. I can confirm that it is fixed on Fedora 24.


Note You need to log in before you can comment on or make changes to this bug.